Loading...
Searching...
No Matches
time.c File Reference
`#include "arc/std/time.h"`

Go to the source code of this file.

## Functions

ARC_Time | ARC_Time_CopyFromStructTmPtr (struct tm *time)
| copies the contents of a tm struct pointer into the ARC_Time type

## Function Documentation

## ARC_Time_CopyFromStructTmPtr()

ARC_Time ARC_Time_CopyFromStructTmPtr | ( | struct tm * | time | ) |

copies the contents of a tm struct pointer into the ARC_Time type

Parameters

  time | the struct tm type to copy

Returns
  the contents of a struct tm as an ARC_Time

Definition at line 3 of file time.c.

{
return (ARC_Time){
time->tm_sec,
time->tm_min,
time->tm_hour,
time->tm_yday,
time->tm_mon,
time->tm_year,
time->tm_wday,
time->tm_mday,
time->tm_isdst
};
}
ARC_Time
the ARC_Time data structre based on time.h (mainly added to avoid having to type struct tm every time...
Definition time.h:27